Bug 463044 - can't burn dvd-rw with growisofs from dvd+rw-tools
can't burn dvd-rw with growisofs from dvd+rw-tools
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-21 00:43 EDT by Jonathan Kamens
Modified: 2015-07-14 17:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:24:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-09-21 00:43:14 EDT
With current rawhide, I can't burn to a DVD-RW with growisofs.  Here's what it prints:

Executing 'mkisofs -dvd-video /tmp/dvdburn.4393/dvd | builtin_dd of=/dev/dvdrw obs=32k seek=0'
I: -input-charset not specified, using iso-8859-1 (detected in locale settings)
  0.43% done, estimate finish Sat Sep 20 23:15:28 2008
/dev/dvdrw: engaging DVD-RW DAO upon user request...
/dev/dvdrw: reserving 1163209 blocks
/dev/dvdrw: "Current Write Speed" is 4.1x1352KBps.
  0.86% done, estimate finish Sun Sep 21 00:07:48 2008
:-[ WRITE@LBA=bf0h failed with SK=2h/LOGICAL UNIT IS IN PROCESS OF BECOMING READY]: Resource temporarily unavailable
:-( write failed: Resource temporarily unavailable
/dev/dvdrw: flushing cache
:-[ FLUSH CACHE failed with SK=2h/LOGICAL UNIT IS IN PROCESS OF BECOMING READY]: Resource temporarily unavailable

And here's what the kernel logs:

Sep 20 23:16:56 jik2 kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Sep 20 23:16:56 jik2 kernel: ata2.00: cmd a0/01:00:00:20:00/00:00:00:00:00/a0 tag 0 dma 16416 in
Sep 20 23:16:56 jik2 kernel:         cdb 51 00 00 00 00 00 00 00  20 00 00 00 00 00 00 00
Sep 20 23:16:56 jik2 kernel:         res 40/00:03:00:0c:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Sep 20 23:16:56 jik2 kernel: ata2.00: status: { DRDY }
Sep 20 23:17:01 jik2 kernel: ata2: link is slow to respond, please be patient (ready=0)
Sep 20 23:17:06 jik2 kernel: ata2: device not ready (errno=-16), forcing hardreset
Sep 20 23:17:06 jik2 kernel: ata2: soft resetting link
Sep 20 23:17:08 jik2 kernel: ata2.00: configured for UDMA/66
Sep 20 23:17:08 jik2 kernel: ata2: EH complete
Sep 20 23:17:14 jik2 kernel: end_request: I/O error, dev sr0, sector 0
Sep 20 23:17:14 jik2 kernel: Buffer I/O error on device sr0, logical block 0
Sep 20 23:17:14 jik2 kernel: end_request: I/O error, dev sr0, sector 0
Sep 20 23:17:14 jik2 kernel: Buffer I/O error on device sr0, logical block 0

This problem does not occur with a DVD+R.

I've tried downgrading to kernel-2.6.26.3-29.fc9.i686 and kernel-2.6.25-14.fc9.i686, and neither of them solved this problem.  (This suggests that I'm filing this bug in the wrong component, but I don't know where better to file it.)

I also tried downgrading to dvd+rw-tools-7.0-11.fc9, and that didn't help either.

This used to work.

I suppose it's possible that my hardware has gone south somehow, but it seems like something from rawhide being borked is a more likely explanation, so I thought I should file a ticket about it just in case...
Comment 1 Jonathan Kamens 2008-11-12 07:20:49 EST
Problem persists in kernel-2.6.27.4-79.fc10.i686.  I tried kernel-2.6.25-14.fc9.i686 and it had the same problem. Then I tried kernel-2.6.23.1-42.fc8.i686 and it worked.  So apparently I had to go back to an FC8 kernel for this to work again.
Comment 2 Jonathan Kamens 2008-11-12 20:07:08 EST
On the other hand, I can't stick with the FC8 kernel because the newer X server segfaults and crashes regularly when running in top of the FC8 kernel.  So apparently I have to choose between a working X server and working DVD-RW burning.

Another data point: DVD+RW burning apparently works just fine.
Comment 3 Bug Zapper 2008-11-25 22:09:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:24:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:24:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Richard Jasmin 2015-07-14 17:53:54 EDT
Should be closed EOL, it appears this bug was squished.

Note You need to log in before you can comment on or make changes to this bug.